package be.ehealth.technicalconnector.service.sts.impl;


import be.ehealth.technicalconnector.config.ConfigFactory;
import be.ehealth.technicalconnector.service.sts.impl.STSServiceWsTrustSAML11Impl;
import be.ehealth.technicalconnector.service.sts.security.SAML11Token;


/**
 * Unit test that verifies the STSServiceWsTrustImpl
 * 
 * @author EHP
 * 
 * 
 * 
 */
public class STSServiceWsTrustSAML11ImplUserIntegrationTest extends STSServiceBaseTest {


    /**
     * Constructor that uses the correct Service
     */
    public STSServiceWsTrustSAML11ImplUserIntegrationTest() {
        super();
        setService(new STSServiceWsTrustSAML11Impl());
        ConfigFactory.getConfigValidator()
                     .setProperty("endpoint.sts", "https://services-acpt.ehealth.fgov.be/IAM/SecurityTokenService/v1");
    }

    @Override
    protected String getHolderOfKeyMethod() {
        return SAML11Token.HOK_METHOD;
    }

    @Override
    protected String getSenderVouchesMethod() {
        return SAML11Token.SV_METHOD;
    }
}